{ config, lib, ... }:

let
  my = config.my;
in
{
  security.acme.acceptTerms = true;
  security.acme.email = my.email;

  security.acme.server =
    if my.acmeStaging
    then "https://acme-staging-v02.api.letsencrypt.org/directory"
    else null;
}
