{ config, ... }:

let
  my = config.my;
in
{
  services.dokuwiki."wiki.${my.subZone}" = {
    enable = true;
    hostName = "wiki.${my.subZone}";
    acl = ''
      *    @ALL      1
      *    @admin    16
    '';
    nginx = {
      enableACME = true;
      forceSSL = true;
    };
  };

  /*
  services.nginx = {
    enable = true;

    virtualHosts."wiki.${my.subZone}" = {
      enableACME = true;
      forceSSL = true;
      locations."/" = {
        proxyPass = "htttp://127.0.0.1:${toString port}";
      };
    };
  };
  */
}
