{ lib, pkgs, ... }:
let
  nivSources = import ./nix/sources.nix;
  rz-src = nivSources.klubrz-nur;
  rz-no-pkgs = (import nivSources.klubrz-nur {});
in
{
  nixpkgs.config.packageOverrides = {
    rz = import rz-src { inherit pkgs; };
  };

  imports = [
    "${nivSources.agenix}/modules/age.nix"
  ] ++ lib.attrValues rz-no-pkgs.modules;

  nixpkgs.overlays = [];
}
