{ pkgs, ... }:
let pkgsList = with pkgs; [
  nix-prefetch-git
  dnsutils

  unzip
  zip
  ripgrep

  niv
  nixfmt
  ];
in
{
  imports = [
    ./vim.nix
  ];
  programs.tmux.enable = true;
  programs.wireshark.enable = true;
  programs.mosh.enable = true;

  environment.systemPackages = pkgsList;
}
